# YouTube Data API . sponsors

## Instance Methods

Lists sponsors for a channel.

Retrieves the next page of results.

### Method Details

`list(part, filter=None, pageToken=None, maxResults=None)`

    Lists sponsors for a channel.

    Args:
      part: string, The part parameter specifies the sponsor resource parts that the API response will include. Supported values are id and snippet. (required)
      filter: string, The filter parameter specifies which channel sponsors to return.
        Allowed values
          all - Return all sponsors, from newest to oldest.
          newest - Return the most recent sponsors, from newest to oldest.
      pageToken: string, The pageToken parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved.
      maxResults: integer, The maxResults parameter specifies the maximum number of items that should be returned in the result set.

    Returns:
      An object of the form:

        {
        "eventId": "A String", # Serialized EventId of the request which produced this response.
        "nextPageToken": "A String", # The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set.
        "kind": "youtube#sponsorListResponse", # Identifies what kind of resource this is. Value: the fixed string "youtube#sponsorListResponse".
        "visitorId": "A String", # The visitorId identifies the visitor.
        "items": [ # A list of sponsors that match the request criteria.
          { # A sponsor resource represents a sponsor for a YouTube channel. A sponsor provides recurring monetary support to a creator and receives special benefits.
            "snippet": { # The snippet object contains basic details about the sponsor.
              "sponsorDetails": { # Details about the sponsor.
                "channelId": "A String", # The YouTube channel ID.
                "displayName": "A String", # The channel's display name.
                "profileImageUrl": "A String", # The channels's avatar URL.
                "channelUrl": "A String", # The channel's URL.
              },
              "channelId": "A String", # The id of the channel being sponsored.
              "sponsorSince": "A String", # The date and time when the user became a sponsor. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format.
            },
            "kind": "youtube#sponsor", # Identifies what kind of resource this is. Value: the fixed string "youtube#sponsor".
            "etag": "A String", # Etag of this resource.
            "id": "A String", # The ID that YouTube assigns to uniquely identify the sponsor.
          },
        ],
        "tokenPagination": { # Stub token pagination template to suppress results.
        },
        "etag": "A String", # Etag of this resource.
        "pageInfo": { # Paging details for lists of resources, including total number of items available and number of resources returned in a single page.
          "totalResults": 42, # The total number of results in the result set.
          "resultsPerPage": 42, # The number of results included in the API response.
        },
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.